oracle.jdbc.pool

## Interface OracleConnectionCacheCallback

Deprecated.
Use Oracle Universal Connection Pool instead. Callback functionality for the Implicit Connection Cache

    @Deprecated
    public interface OracleConnectionCacheCallback

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `handleAbandonedConnection(OracleConnection conn, Object userObject)` Deprecated. Use Oracle Universal Connection Pool instead.
`void` `releaseConnection(OracleConnection conn, Object userObject)` Deprecated. Use Oracle Universal Connection Pool instead.

### Method Detail

#### handleAbandonedConnection

    @Deprecated
    boolean handleAbandonedConnection(OracleConnection conn,
                                                  Object userObject)

Deprecated. Use Oracle Universal Connection Pool instead.

#### releaseConnection

    @Deprecated
    void releaseConnection(OracleConnection conn,
                                       Object userObject)

Deprecated. Use Oracle Universal Connection Pool instead.

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.